# DataExchange
TKXSBase
IFGraph

# IFGraph_AllShared Class Reference

this class determines all Entities shared by some specific
ones, at any level (those which will be lead in a Transfer
for instance)

`#include <IFGraph_AllShared.hxx>`

Inheritance diagram for IFGraph_AllShared:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_AllShared (const Interface_Graph &agraph)
| creates an AllShared from a graph, empty ready to be filled
Standard_EXPORT | IFGraph_AllShared (const Interface_Graph &agraph, const Handle(Standard_Transient)&ent)
| creates an AllShared which memrizes Entities shared by a given one, at any level, including itself
Standard_EXPORT void | GetFromEntity (const Handle(Standard_Transient)&ent)
| adds an entity and its shared ones to the list (allows to cumulate all Entities shared by some ones)
Standard_EXPORT void | GetFromIter (const Interface_EntityIterator &iter)
| Adds Entities from an EntityIterator and all their shared ones at any level .
Standard_EXPORT void | ResetData ()
| Allows to restart on a new data set .
virtual Standard_EXPORT void | Evaluate ()
| does the specific evaluation (shared entities atall levels)

## Private Attributes

Interface_Graph | thegraph

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_AllShared::IFGraph_AllShared | ( | const Interface_Graph & | agraph | ) |

Standard_EXPORT IFGraph_AllShared::IFGraph_AllShared | ( | const Interface_Graph & | agraph,
|  | const Handle(Standard_Transient)& | ent
| ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_AllShared::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT void IFGraph_AllShared::GetFromEntity | ( | const Handle(Standard_Transient)& | ent | ) |

Standard_EXPORT void IFGraph_AllShared::GetFromIter | ( | const Interface_EntityIterator & | iter | ) |

void IFGraph_AllShared::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_AllShared::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_AllShared::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT void IFGraph_AllShared::ResetData | ( |  | ) |

## Field Documentation

Interface_Graph IFGraph_AllShared::thegraph `[private]`

The documentation for this class was generated from the following file:

- IFGraph_AllShared.hxx